​

Get list of custom property tree entities

GET
https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/tree-entities
Path parameters
NameTypeReference
property_idrequiredintegerCustom property ID
Headers
NameValue
Content-Typeapplication/json
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
uid

string

Entity uid
title

string

Entity title
sort_order

number

Entity sort order
archived

boolean

Archived flag
access

string

Entity access
for_everyone_access_role_id

string

Role id for when access is for_everyone
entity_type

string

Entity type
path

string

Inner path to entity
parent_entity_uid

string

Parent entity uid
company_id

integer

Company id
protected

boolean

Flag that disables the display of an element in the sidebar
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Tariff must include "custom properties usage paths" featureObjectResponse body does not exist
Response Attributes
NameTypeDescription
featurePath

string

Feature path in company.features object
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/tree-entities' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!